#include <KolibriLib.hpp>

using namespace KolibriLib;



int main()
{

    KolibriLib::init();

    window::Window window("Main Window", window::DefaultWindowSize);

    unsigned ButtonID = window.CreateButton({64, 64}, {100, 64}, "Button");

    while (true)
    {
        unsigned Event = OS::WaitEvent(); // Ждём пока не появится какой либо ивент
        
        window.Handler();

        switch (Event)
        {
        case KSYS_EVENT_REDRAW:
            window.Render();
            break;
        case KSYS_EVENT_BUTTON:
            unsigned button = KolibriLib::UI::buttons::GetPressedButton();
            if(button == 1)
            {
                return 0;
            }

            unsigned a = window.GetPressedButton();
            
            if(a == ButtonID)
            {
                childWindow::MessageBox("You pressed button", "You pressed button");
            }
            
            

            break;
        }

        
    }

    return 0;
}